> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Caller Calls

> List past calls for a caller with this agent.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /caller-profiles/agents/{agent_id}/{phone}/calls
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /caller-profiles/agents/{agent_id}/{phone}/calls:
    get:
      tags:
        - caller-profiles
      summary: Get Caller Calls
      description: List past calls for a caller with this agent.
      operationId: get_caller_calls_caller_profiles_agents__agent_id___phone__calls_get
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Agent Id
        - name: phone
          in: path
          required: true
          schema:
            type: string
            title: Phone
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            default: 20
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CallerCallSummary'
                title: >-
                  Response Get Caller Calls Caller Profiles Agents  Agent Id  
                  Phone  Calls Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CallerCallSummary:
      properties:
        call_id:
          type: string
          title: Call Id
        started_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Started At
        ended_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Ended At
        duration_seconds:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration Seconds
        direction:
          type: string
          title: Direction
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Country Code
      type: object
      required:
        - call_id
        - direction
      title: CallerCallSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````